Discover all of the brand-new features and improvements to existing capabilities in the Dataiku 11.3 updateLET'S GO

Advanced Designer Assessment - Step 4 Text Visualization plugin Error

LowYun
Level 1
Advanced Designer Assessment - Step 4 Text Visualization plugin Error

I am using the DSS managed Code Env for the Text Visualization plugin. However it generated an error showing that

No module named 'pyspark'

I checked the current installed package in this Code Env and the library is not installed.

Anything I missed out here?

0 Kudos
3 Replies
Sv3n-Sk4
Level 3

Hello @LowYun ,

Which version of Dataiku are you using ?

Did you see the specificities of the Online Version for the assessment ?

Note: If using Dataiku Online, ensure that the Text Visualization plugin is added as an extension in the Features tab of your launchpad. You can read this article on how to do so.

If using a free trial of Dataiku Online and need more time to complete the assessment, you can request an extension through the intercom widget at the bottom right corner of the Dataiku home page or instance.

What You'll Need (dataiku.com)

I guess you can also create a new environment and install the pyspark package.

Hope it helped 🙂

0 Kudos
LowYun
Level 1
Author

Hi @Sv3n-Sk4,

I am using DSS 11.1.0 which is a free version installed in Windows.

I found out that Spark is not available with FREE EDITION license.

So I have no choice but to skip the related questions which will be asked in the assessment.

Thanks for your reply.

Sv3n-Sk4
Level 3

Hello @LowYun ,

I was a free user as you are when I was trying to get the certificates.

I am not remembering perfectly all the assessments but I still have in mind, some of the manipulations were not always avaible.

However if it can reassure you I managed to pass all the certificates (even if the advanced designer was maybe the more difficult for me 😉 )

I am sure you will be able to pass it also 🙂

Good luck !

0 Kudos